Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google Log In with Steam Sign In
  • Create Account
Photo

To all with test access to 0.9.0

- - - - -

  • Please log in to reply
54 replies to this topic

#21
OFFLINE   BettyBoop

BettyBoop

    Regular Member

  • Subscriber
  • PipPipPip
  • 132 posts
11
A step in the right direction
  • LocationFrance

we tried to play on FA silent this morning with topcat but got an error ; to fix Tom had to join FA nq first and myself had to delete my silent folder

so did these 2 silent versions in your silent folder can cause issues?

after i left FA i been back on our server, trying to join FA again and boom same error

 

onFAsilent.PNG


Edited by McBeth, 19 October 2015 - 01:17 PM.


#22
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

Yes. After you play on 0.9.0 server, you must remove the client binaries from the silent directory before joining 0.8.2 server.



#23
OFFLINE   Topcat

Topcat

    Member

  • Members
  • PipPip
  • 28 posts
6
A step in the right direction

Yes. After you play on 0.9.0 server, you must remove the client binaries from the silent directory before joining 0.8.2 server.

 

Thats a lot of work just to join a server sigh :(



#24
OFFLINE   BettyBoop

BettyBoop

    Regular Member

  • Subscriber
  • PipPipPip
  • 132 posts
11
A step in the right direction
  • LocationFrance

this is going to be fixed? cuz  guys who want to play on FA silent for somes will dont know what to do

except if soon FA is runing silent 0.90 but prolly they wait to have the public 0.90 release



#25
OFFLINE   Purple

Purple

    Advanced Member

  • Banned
  • PipPipPipPip
  • 157 posts
56
Getting Better

Yes. After you play on 0.9.0 server, you must remove the client binaries from the silent directory before joining 0.8.2 server.

Correct me if i'm wrong but is something that is going to be a on going problem? aka on final release are users going to have to remove client binaries still?



#26
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

No. There is no problem connecting to 0.9.0 servers. The 0.8.2 is deprecated as soon as we release the 0.9.0.



#27
OFFLINE   Purple

Purple

    Advanced Member

  • Banned
  • PipPipPipPip
  • 157 posts
56
Getting Better

No. There is no problem connecting to 0.9.0 servers. The 0.8.2 is deprecated as soon as we release the 0.9.0.

I'm saying if a server would stick to 0.8.2 would this cause conflicts if so this is quiet a flaw. Not sure about other server owners but we ( my clan ) do pretty intensive testing. Which may leave us at the current build and ditch the AC of it and go with something private.


Edited by Purple, 19 October 2015 - 08:54 PM.


#28
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

It is not AC related. There is no "fix" and if admins refuse to update their servers, it will cause issues that are obviously well deserved. It is not a flaw to not support deprecated versions. That is how all software works when there is no plan for maintaining the older versions. You are obviously free to choose what ever mod you desire for your server. If you feel your private mod is better than silEnT, it sounds like there is no problem for your server then.



#29
OFFLINE   Zelly

Zelly

    Regular Member

  • Coders
  • PipPipPip
  • 141 posts
73
Getting Better

Not sure if I fully understand, so correct me if I misunderstand.

 

If I connect to a plain 090 server and then I try to connect to a 082 server, I would get an error? And to fix it I would have to manually delete the dll/so ?

 

If so I understand you wanting everyone to upgrade but like purple said people are not going to upgrade right away for various reasons.

I also don't recall this being a problem in other mods, in the past(has been a while though).

 

If this is the case then this puts a lot of unneeded stress on the small amount of remaining players, most people just simply will not understand why they can't play.

 

I am not talking about supporting an old version am just saying they should still be able to load the old version.

 

EDIT: a word, a sentence


Edited by Zelly, 19 October 2015 - 09:34 PM.


#30
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

Not sure if I fully understand, so correct me if I misunderstand.

 

If I connect to a plain 090 server and then I try to connect to a 082 server, I would get an error? And to fix it I would have to manually delete the dll/so ?

 

If so I understand you wanting everyone to upgrade but like purple said people are not going to upgrade right away for various reasons.

I also don't recall this being a problem in other mods, in the past(has been a while though).

 

If this is the case then this puts a lot of unneeded stress on the small amount of remaining players, most people just simply will not understand why they can't play.

 

I am not talking about supporting an old version am just saying they should still be able to load the old version.

 

EDIT: a word, a sentence

This was a side effect for fixing the menu systems. I understand there can be a few days delay before all active servers update and it is unfortunate. However, there is nothing we can do to prevent it and I also think this is made out to be a bigger problem than it is. Just update the server. The players will realize they can connect to 0.9.0 but not to 0.8.2.



#31
OFFLINE   Zelly

Zelly

    Regular Member

  • Coders
  • PipPipPip
  • 141 posts
73
Getting Better

I guess, I just think a lot of server operators don't upgrade within few days more like a within a few weeks and the really slow guys within take months some times. Their loss I guess. I personally am not too concerned about it, just a little worried about the smaller servers. :P



#32
OFFLINE   Petbark

Petbark

    Advanced Member

  • Members
  • PipPipPipPip
  • 185 posts
30
Getting Better

why not just create a different directory on a 9.0 server and leave 8.2 in its current state so if a player joins they download everything in the new directory for 9.0 and can still connect to anyone running an older version.

 

This should work yes????



#33
OFFLINE   Zelly

Zelly

    Regular Member

  • Coders
  • PipPipPip
  • 141 posts
73
Getting Better

It would cause many more problems than it would fix.



#34
OFFLINE   BettyBoop

BettyBoop

    Regular Member

  • Subscriber
  • PipPipPip
  • 132 posts
11
A step in the right direction
  • LocationFrance

guys like Gao posted "After you play on 0.9.0 server, you must remove the client binaries from the silent directory before joining 0.8.2 server."

not a pain to do that lol , and post on your clans sites what to do



#35
OFFLINE   Zelly

Zelly

    Regular Member

  • Coders
  • PipPipPip
  • 141 posts
73
Getting Better

If they were capable of checking forums this wouldn't be a problem :D



#36
OFFLINE   Purple

Purple

    Advanced Member

  • Banned
  • PipPipPipPip
  • 157 posts
56
Getting Better

guys like Gao posted "After you play on 0.9.0 server, you must remove the client binaries from the silent directory before joining 0.8.2 server."

not a pain to do that lol , and post on your clans sites what to do

With the current state of the game being in a "dying" state when we do get new players who are fresh to the game this could be completely confusing and a pain in the ass to explain to someone with no knowledge on the game or any of its files. I still to do this day have to explain to many of the players on my server how to change settings in their config, not saying I hate doing it, it's just the point of adding more to it.

 

This was a side effect for fixing the menu systems. I understand there can be a few days delay before all active servers update and it is unfortunate. However, there is nothing we can do to prevent it and I also think this is made out to be a bigger problem than it is. Just update the server. The players will realize they can connect to 0.9.0 but not to 0.8.2.

Fixing the menu system. The menu system really wasn't even a problem tbfh, a simpler solution that many people did and had 0 problems with and are way more user friendly and last time i checked the guys over at ETL dev team even added a cvar for pk3 cleaner to remove the shit. I have a pk3 cleaner my self for my clan which is less then 10 lines of code and could be "open sourced" so there would of been no possibilities of malicious activities. ( ps these shitty menus that really aren't shitty even your own dev uses rofl ) 

 

It is not AC related. There is no "fix" and if admins refuse to update their servers, it will cause issues that are obviously well deserved. It is not a flaw to not support deprecated versions. That is how all software works when there is no plan for maintaining the older versions. You are obviously free to choose what ever mod you desire for your server. If you feel your private mod is better than silEnT, it sounds like there is no problem for your server then.

 

That's like saying use windows 10 over windows 7. and I wasn't blaming it AC related just note the way you're taking this mod is just a complete fuck to regular players and server owners around. What other mod has had reverse compatibility problems? This mod started off as a top quality nice mod. Over a year for an update and you ass fuck half of the people and don't even have the courtesy to give them a reach around. 

 

And excuse my French.

 

@TheSilencerPL this is exactly what my other post ment. Theres more to it but why even bother just gonna end in a forum ban zzzz.


Edited by Purple, 20 October 2015 - 09:25 AM.


#37
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

Purple please stop crying already. There are no game play changes or feature removals between 0.8.2 and 0.9.0. The menus were a huge problem. It is the most complained issue on all ET forums and for a reason. Even ET Legacy added a command to mitigate the problem and you did yourself a small script to mitigate this issue that shouldn't even exist. Only a very few most responsible admins didn't force altered offline menus. Some admins had only a button and some admins did something reasonably clean with a second menu. But many times after visiting a random server there were huge changes to the menus. Things that can't be given a blind eye. Most of them are only intended to trip the players. The worse ones even change the game behavior in various ways. You need to think about it from the player point of view. You have a server you like yourself and some others also, but most players don't like your server. Why should they have to see your crap when they are not playing on your server. Adding command to ET Legacy is a good thing, but it's only cleaning after the fact. It doesn't do anything to fix the problem.

 

 

This mod started off as a top quality nice mod. Over a year for an update and you ass fuck half of the people and don't even have the courtesy to give them a reach around.

We are ass fucking an admin who is ass fucking players. It really does start to sound like that is what we are doing. At least on your case. We should have done it years ago to be honest. One of my biggest regrets is that we didn't do anything to the menu problem when we first discussed about these modifications internally several versions ago. Most of the people are the players, not a server admin who seems to think all the players are zombies for his pleasure. You should start thinking about the players first.

 

 

@TheSilencerPL this is exactly what my other post ment. Theres more to it but why even bother just gonna end in a forum ban zzzz.

Don't try to kid. It's because you feel trolling gives you most attention and makes you look like an expert of some sort.

 

I think we can close this thing with you. I believe you will get yourself another mod from now. That is what you already said you would do.



#38
OFFLINE   Purple

Purple

    Advanced Member

  • Banned
  • PipPipPipPip
  • 157 posts
56
Getting Better
I think we can close this thing with you. I believe you will get yourself another mod from now. That is what you already said you would do.

 

Don't recall but okay.

 

Only a very few most responsible admins didn't force altered offline menus

 

Could you give me a server ip that currently does not have a menu and is active. ( 10 consistent players )

 

We'll just wait for the public release and see how it goes from there with the constant "errors" that'll be fixed in a year.


Edited by Purple, 20 October 2015 - 11:39 AM.


#39
OFFLINE   BettyBoop

BettyBoop

    Regular Member

  • Subscriber
  • PipPipPip
  • 132 posts
11
A step in the right direction
  • LocationFrance

dunno why guys argh so much instead to help the silent team who  try his best since years to keep  ET alive and still work on this great mod with AC  when  the others like for nq stopped

 

Silent team fixed already the FEW bugs we had


Edited by McBeth, 20 October 2015 - 12:40 PM.


#40
OFFLINE   alex

alex

    Regular Member

  • Subscriber
  • PipPipPip
  • 63 posts
12
A step in the right direction
  • LocationFrance

 

Could you give me a server ip that currently does not have a menu and is active. ( 10 consistent players )

 

http://www.gametrack...9.30.187:27960/






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users